Bug 8912 - Mussorgsky crashes when saving song metadata
: Mussorgsky crashes when saving song metadata
Status: RESOLVED FIXED
Product: Mussorgsky
General
: unspecified
: ARM Maemo
: Medium normal with 4 votes (vote)
: ---
Assigned To: Ivan Frade
: general
:
: crash
:
:
  Show dependency tree
 
Reported: 2010-02-08 11:29 UTC by Marek Zoth
Modified: 2010-04-21 14:54 UTC (History)
3 users (show)

See Also:


Attachments
Test song for crash while entering the artist name (2.36 MB, audio/mpeg)
2010-02-08 11:42 UTC, Marek Zoth
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Marek Zoth (reporter) 2010-02-08 11:29:04 UTC
SOFTWARE VERSION:
0.4-1

EXACT STEPS LEADING TO PROBLEM: 
1. Start Mussorgsky
2. Select "browse metadata"
3. Find a with metadata missing using the browse collection "uncomplete"
4. Enter a name into album input field
5. Save a metadata into the song by returning to a list of songs

EXPECTED OUTCOME:
The album name is saved and displayed within the list of song along with song
name.

ACTUAL OUTCOME:
Application crashes with following:
/usr/bin $ ./mussorgsky
Tracker backend up
OK
Refiltering  1.30239915848
Inserting  Music Bar
Music Bar ->
/home/user/.thumbnails/cropped/ae4d697e32296999b2ddf89411e157ca.jpeg
/usr/lib/mussorgsky/edit_panel_tm.py:52: GtkWarning:
gtk_tree_model_filter_get_value: assertion `GTK_TREE_MODEL_FILTER
(model)->priv->stamp == iter->stamp' failed
  return self.model.get (self.current, 0, 1, 2, 3, 4, 5)
Segmentation fault

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
Latest firmware, Catorise
Comment 1 Marek Zoth (reporter) 2010-02-08 11:42:32 UTC
Created an attachment (id=2235) [details]
Test song for crash while entering the artist name
Comment 2 Marek Zoth (reporter) 2010-02-08 11:44:28 UTC
Was able to force Mussorgsky crash while saving the artist metadata too.
Comment 3 sudisk 2010-02-24 08:59:09 UTC
Tried with songs from different sources. Songs were either on the main flash or
on the MMC. The application always crashes.
Comment 4 Dave 2010-03-14 22:26:23 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Ivan Frade 2010-04-21 14:54:56 UTC
I was able to reproduce this crash consistently when using "filters" (selecting
only uncomplete songs, or after a couple of searches).

I think i have a fix (at least it wasn't crashing anymore on my device):
https://garage.maemo.org/plugins/ggit/browse.php/?p=mussorgsky;a=commit;h=84dbf0e8fd52e294e9c59dfa27426f03812391df

It will be released in 0.5.